
 // Copyright (c) CPU and Fundamental Software Research Center, CAS
 // 
 //  This software is provided by the copyright holders - CPU and Fundamental Software Research Center,
 // CAS. The above copyright is protected by copyright laws in all countries and the Universal Copyright
 // Convention. CPU and Fundamental Software Research Center, CAS will reserve the right to 
 //  take any necessary legal means against the unauthorized use of this software or any use that appears
 // outside of CPU and Fundamental Softwre Research Center's intellectual property declaration.
 //  
 //  This software is published by the license of CPU-OS License，you can use and 
 // distibuted this software under this License. See CPU-OS Liense for more detail.
 // 
 // You should have receive a copy of CPU-OS License. If not, please contact us 
 //  by email <support_os@cpu-os.ac.cn> 
  
#include <iostream>
#include <fstream>
#include <string> 
#include <cstdlib>
using namespace std;

int   main(int   argc,   char*   argv[])  
{  

	bool flag1=true;
	bool flag2=true;
	ifstream fin("/etc/audit/auditd.conf");
	ofstream fout("/etc/audit/tmp.txt");
	while(fin!=NULL)
	{
		
		char *str=new char[128];
		fin.getline(str,128,'\n');
		string line=string(str);
		if(flag1==true){
			
			std::size_t found1 = line.find("log_file");  
	  		if (found1!=std::string::npos)  
			{
				line=line.substr(0,11);
				line=line+argv[1];			
				flag1=false;	
			}
			
		}

		if(flag2==true){
			
			std::size_t found2 = line.find("max_log_file");  
	  		if (found2!=std::string::npos)  
			{
				line=line.substr(0,15);
				line=line+argv[2];
				flag2=false;	
			}
			
		}
		fout<<line<<endl;
		delete []str;

	}
	
	fin.close();
	fout.close();

	system("mv -f /etc/audit/tmp.txt /etc/audit/auditd.conf");
	return   0;  
}  
