 // Copyright (c) CPU and Fundamental Software Research Center, CAS
 // 
 //  This software is provided by the copyright holders - CPU and Fundamental Software Research Center,
 // CAS. The above copyright is protected by copyright laws in all countries and the Universal Copyright
 // Convention. CPU and Fundamental Software Research Center, CAS will reserve the right to 
 //  take any necessary legal means against the unauthorized use of this software or any use that appears
 // outside of CPU and Fundamental Softwre Research Center's intellectual property declaration.
 //  
 //  This software is published by the license of CPU-OS License，you can use and 
 // distibuted this software under this License. See CPU-OS Liense for more detail.
 // 
 // You should have receive a copy of CPU-OS License. If not, please contact us 
 //  by email <support_os@cpu-os.ac.cn> 
#include <iostream>
#include <fstream>
#include <string> 
#include <cstdlib>
using namespace std;

int   main(int   argc,   char*   argv[])  
{  
	
	int count=0;
	ifstream fin("./result.log");
	ofstream fout(argv[1]);
	while(fin!=NULL)
	{
		
		char *str=new char[256];
		fin.getline(str,256,'\n');
		string line=string(str);
		
			
		std::size_t flag1 = line.find("类型: 执行文件");  
	  	if (flag1!=std::string::npos)  
		{	
			count++;	
			fout<<count<<". "<<line;
			
		}
			
		std::size_t flag2 = line.find("类型: 系统调用");  
	  	if (flag2!=std::string::npos)  
		{	
			std::size_t pos1 = line.find("用户id:"); 
			std::size_t pos2 = line.find("命令:");
			string uid = line.substr(pos1,pos2-pos1); 	
			fout<<" "<<uid<<endl;
			
		}

		
		delete []str;

	}
	
	fin.close();
	fout.close();

	
	return   0;  
}  
