/*
 * Copyright (c) CPU and Fundamental Software Research Center, CAS
 * 
 * This software is provided by the copyright holders - CPU and Fundamental Software Research Center,
 * CAS. The above copyright is protected by copyright laws in all countries and the Universal Copyright
 * Convention. CPU and Fundamental Software Research Center, CAS will reserve the right to 
 * take any necessary legal means against the unauthorized use of this software or any use that appears
 * outside of CPU and Fundamental Softwre Research Center's intellectual property declaration.
 * 
 * This software is published by the license of CPU-OS License，you can use and 
 * distibuted this software under this License. See CPU-OS Liense for more detail.
 *
 * You should have receive a copy of CPU-OS License. If not, please contact us 
 * by email <support_os@cpu-os.ac.cn> 
  */
#include <gtk/gtk.h>
 
void print_filename(GtkWidget *file)
{
    GtkWidget *dialog;
    gchar *filename;
    filename=gtk_file_chooser_get_filename(GTK_FILE_CHOOSER(file));
    gtk_widget_destroy(file);
    g_print ("%s\n",filename);
}
void select_file(GtkWidget *widget,gpointer data)
{
    GtkWidget *file;

    file=gtk_file_chooser_dialog_new("选择日志存放路径",NULL,GTK_FILE_CHOOSER_ACTION_SELECT_FOLDER,GTK_STOCK_CANCEL,GTK_RESPONSE_CANCEL,GTK_STOCK_OK,GTK_RESPONSE_ACCEPT,NULL);
    if(gtk_dialog_run(GTK_DIALOG(file))==GTK_RESPONSE_ACCEPT)
        print_filename(file);
    else
        gtk_widget_destroy(file);
}
int main(int argc,char **argv)
{
    GtkWidget *win;
    GtkWidget *button;
    gtk_init(&argc,&argv);
    win=gtk_window_new(GTK_WINDOW_TOPLEVEL);
    select_file(win,NULL);
    return 0;
}